Skip to content
Navigation

Create entity

POST
https://api.sureshake.com/v2/entities

Authorization

  • ApiKeyAuth
    optional
    API key in header
  • BearerAuth
    optional
    HTTP

Request body JSON required

  • name
    string
    required
    maxLength: 255 · minLength: 1
  • slug
    optional
    string
    maxLength: 100 · minLength: 3 · pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
  • description
    optional
    string
    or null
    maxLength: 2000
  • overview
    optional
    string
    or null
    maxLength: 5000
  • location
    optional
    string
    or null
    maxLength: 255
  • domain
    optional
    string
    or null
    maxLength: 255
  • twitterUrl
    optional
    string
    or null
    format: uri · maxLength: 255
  • linkedinUrl
    optional
    string
    or null
    format: uri · maxLength: 255
  • parentId
    optional
    string
    or null
    format: uuid
  • collectionId
    optional
    string
    or null
    format: uuid
  • entityType
    optional
    fund
    or
    company
    or
    portfolio
    or
    asset
    or
    investor
    or
    educational_institution
    +5 more
    or null
  • tickerSymbol
    optional
    string
    or null
    pattern: ^[A-Z0-9]{3,6}$
  • recommendedCollectionKeys
    optional
    array of
    data_room
    or
    trade_references
    or
    financial_reporting
    or
    legal_compliance
    or
    corporate_documents
    or
    investor_materials
    +2 more
  • companyVerification
    optional

    Any of the following:

    • object
      • method
        authenticated_email_domain
        required
    • object
      • method
        operator_approval
        required
      • reason
        string
        required
        maxLength: 2000 · minLength: 20

Returns

201

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • name
      string
      required
    • slug
      string
      required
    • description
      string
      or null
      required
    • parentId
      string
      or null
      required
      format: uuid
    • ownerId
      string
      required
    • collectionId
      string
      or null
      required
      format: uuid
    • entityType
      string
      or null
      required
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
    • overview
      optional
      string
      or null
    • location
      optional
      string
      or null
    • domain
      optional
      string
      or null
    • twitterUrl
      optional
      string
      or null
    • linkedinUrl
      optional
      string
      or null
    • logoUrl
      optional
      string
      or null
    • bannerUrl
      optional
      string
      or null
    • metadata
      optional
      map of
      unknown
      or null
    • verified
      optional
      boolean
      or null
    • placeholderEntity
      optional
      boolean
      or null
    • dataResidency
      optional
      string
      or null
    • autoCreated
      optional
      boolean
      or null
    • claimedBy
      optional
      string
      or null
    • claimedAt
      optional
      string
      or null
      format: date-time
    • createdBy
      optional
      string
      or null
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close